Create a payment

Payments API is used to collect payments from your customers. Some payment methods require you to redirect the user to an external website while other payment methods respond directly without the need for further actions. See more information in the description below.

Body Params
string
required

API key of your merchant.

string
required

Identifier for the payment method. See list of payment methods in the following link https://continentalpay.readme.io/reference/list-of-payment-methods.

string
required

Order ID of the payment. We suggest to use readable but unique value for this field.

string

Reference for the transaction. If not given, merchant name and the order ID is taken as reference. May be shown in bank statements of the customers. We suggest to use appopirate values for the services or products given.

float
required

Amount for the payment. This should the final amount including all the taxes and shipping fees.

float

Amount for the taxes included in the payment amount.

float

Amount for the shipping costs included in the payment amount.

string
required

3 letter currency code. In Brazil, we only support BRL as a valid currency.

string

HTTPs URL where you would like to receive webhook/postback notifications. E.g https://yourwebsite.com/postbacks

string

IP address of the customer.

string

Transaction ID of the original (first) transaction. Used in subsequent recurring / registered payments in Credit Cards and Direct Debit payments.

integer
Defaults to 0

1 for recurring and 0 for non-recurring.

string
Defaults to en

Locale for the payment page. Only used in Credit Card payments where customer is redirected to our payment page. Find supported locales here.

string

Any other random data that you would like to associate the transaction with.

string

Address of the customer.

string

Supplementary address of the customer.

string

City of the customer.

string

State of the customer.

string

Postal Code of the customer.

string
required

2 letter ISO code of the country of the customer. E.g DE

string

First Name of the customer.

string

Last name of the customer.

string

Email of the customer.

string

Phone of the customer.

string

Company name, in case the payment is made to be paid by a company.

string

VAT ID of the company, in case the payment is made to be paid by a company. Also used as tax ID of the person or the company, in Boleto payments.

string

Success URL of your website to redirect customers to upon a successful payment. For payment methods that involve browser redirection such as credit card payments, these URLs are required. The following data is appended to the URL, which is used when redirecting back to the shop’s success or error URLs: order_id,transaction_id.

string

Error URL of your website to redirect customers to upon a failed payment. For payment methods that involve browser redirection such as credit card payments, these URLs are required. The following data is appended to the URL, which is used when redirecting back to the shop’s success or error URLs: order_id,transaction_id.

string

Account holder of the bank account. Required for SEPA Direct Debit transactions.

string

IBAN of the bank account. Required for the SEPA Direct Debit transactions.

string

BIC of the bank account. Only required for non SEPA area bank accounts.

string

SEPA Mandate for the given SEPA Direct Debit payment. Max 35 characters. See implications of using SEPA Direct Debit payment method in the following link.

string

Shipping address of the customer.

string

Supplementary shipping address of the customer.

string

Name of the company, in case product is shipped to a company.

string

City of the customer's shipping address.

string

Postal code of the customer's shipping address.

string

State of the customer's shipping address.

string

2 letter ISO country code of the customer's shipping address. E.g DE

string

First name of the customer's shipping address.

string

Last name of the customer's shipping address.

date

Date of birth of the customer, in YYYY-MM-DD format. Only used for Invoice and Direct Debit payment methods, when an accompanying risk check is enabled which requires this data.

string

Gender of the customer. M for male, F for female and D for Diverse. Only used for Invoice and Direct Debit payment methods, when an accompanying risk check is enabled which requires this data.

string

Domain of the website that will render our payment page. Only used for Credit Card payments when the redirect link will be rendered in an i-frame.

string
Defaults to 43200

PIX QR codes' expiration time. Defaults to 12 hours. It's suggested to be customized to your application's needs.

string

Tax ID of the customer. Mostly used in PIX payments to lock the payment to a certain customer, so that only the given customer can pay the due amount. Must be used alongside tax_id_type parameter

string

Tax ID type of the Tax ID. Mostly used in PIX payments to lock the payment to a certain person. Available values: CPF or CNPJ

string
Defaults to 0

When you are using a payment method which has configured risk checks, you will have to pass "1" as value for this parameter. "1" represents the customer agreed for their information to be passed in to the 3rd party risk check provider.

date

Invoice date of the transaction. Usually required in Boleto payments to specify the due date of the bill.

Headers
string
Defaults to application/json
Response

Language
Credentials
Basic
base64
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json